<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<beans xmlns="http://www.springframework.org/schema/beans"
	xmlns:util="http://www.springframework.org/schema/util" xmlns:context="http://www.springframework.org/schema/context"
	xmlns:p="http://www.springframework.org/schema/p" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xmlns:tx="http://www.springframework.org/schema/tx"
	xmlns:mvc="http://www.springframework.org/schema/mvc"
	xsi:schemaLocation="http://www.springframework.org/schema/beans http://www.springframework.org/schema/beans/spring-beans-3.0.xsd
	     http://www.springframework.org/schema/context http://www.springframework.org/schema/context/spring-context-3.0.xsd
	     http://www.springframework.org/schema/util http://www.springframework.org/schema/util/spring-util-2.5.xsd   
	     http://www.springframework.org/schema/tx http://www.springframework.org/schema/tx/spring-tx-2.5.xsd
	     http://www.springframework.org/schema/mvc http://www.springframework.org/schema/mvc/spring-mvc-3.0.xsd">


	<bean id="sedooAdmin" class="fr.sedoo.commons.client.user.InternalUser" p:login="admin" p:password="sedooadmin" p:admin="true" p:name="Admin SEDOO" />

	<bean id="administratorDAO"
		class="fr.sedoo.sssdata.server.dao.impl.AdministratorDAOJPAImpl" />
		
	<bean id="boatDAO"
		class="fr.sedoo.sssdata.server.dao.impl.BoatDAOJPAImpl" />
		
	<bean id="metadataDAO"
		class="fr.sedoo.sssdata.server.dao.impl.MetadataDAOJPAImpl" />
		
	<bean id="metadataHistoryDAO"
		class="fr.sedoo.sssdata.server.dao.impl.MetadataHistoryDAOJPAImpl" />	
				
	<bean id="dataciteDAO"
		class="fr.sedoo.sssdata.server.metadata.SSSDataciteDAOImpl" />
	
	<bean id="sssFileDAO"
		class="fr.sedoo.sssdata.server.dao.impl.SssFileDAOJPAImpl" />
		
	<bean id="archiveDAO"
		class="fr.sedoo.sssdata.server.dao.impl.ArchiveDAOJPAImpl" />
		
	<bean id="measureDAO"
		class="fr.sedoo.sssdata.server.dao.impl.MeasureDAOJPAImpl" />	

	<bean id="faqDAO" class="fr.sedoo.commons.server.faq.dao.FaqDAOJPAImpl" />
 
 	<bean id="cmsScreenDAO" class="fr.sedoo.commons.server.cms.dao.CMSScreenDAOJPAImpl" />
 
	<bean id="storedFileDAO"
			class="fr.sedoo.commons.server.storedfile.dao.StoredFileDAOJPAImpl" />
			
	<bean id="messageDAO"
		class="fr.sedoo.commons.server.news.dao.MessageDAOJPAImpl" />
	
	<bean id="trajectoryDAO"
		class="fr.sedoo.sssdata.server.dao.impl.TrajectoryDAOJPAImpl" />
	
	<bean id="configCategDAO"
		class="fr.sedoo.commons.server.config.dao.impl.ConfigCategDAOJPAImpl" />
		
	<bean id="configPropertyDAO"
		class="fr.sedoo.commons.server.config.dao.impl.ConfigPropertyDAOJPAImpl" />
				
	<bean id="versionDAO" class="fr.sedoo.commons.web.dao.WebConfigVersionDAO" />

	<bean id="statsDataDAO"
		class="fr.sedoo.sssdata.server.dao.impl.StatsDAOImpl" />	
		
	<bean id="userDAO" class="fr.sedoo.sssdata.server.dao.impl.UserDAOJPAImpl" />
	<bean id="downloadDAO" class="fr.sedoo.sssdata.server.dao.impl.DownloadDAOJPAImpl" >
		<property name="dataSource" ref="dataSource" />
	</bean>
	
	<util:list id="languages" list-class="java.util.ArrayList">
		<value>EN</value>
	</util:list>
	
	
	<bean id="archiveGenerator" class="fr.sedoo.sssdata.server.ArchiveGenerator">
		<property name="downloadConfig" ref="downloadConfig" />
	</bean> 
	<bean id="downloadConfig" class="fr.sedoo.sssdata.server.misc.DownloadConfig">
		<property name="root" value="${archive.root}" />
	</bean>
	<bean id="metadataConfig" class="fr.sedoo.sssdata.server.metadata.MetadataConfig">
		<property name="exportPath" value="${metadata.export.path}"/>
	</bean>
		
		
	<bean id="ftpConfig" class="fr.sedoo.sssdata.server.misc.FTPConfig" 
		p:adress="${ftp.host}" p:login="${ftp.user}" p:password="${ftp.passwd}" p:rootDir="${ftp.rootDir}" p:dirs="${ftp.dirs}" p:filter="${ftp.filter}" />
		
	<bean id="mailConfig" class="fr.sedoo.commons.server.mail.MailConfig"
		p:host="${mail.host}" p:admin="${mail.admin}" p:from="${mail.from}" />
			
	<bean id="doiConfig" class="fr.sedoo.metadata.doi.DOIConfig" 
		p:username="${doi.user}" p:password="${doi.passwd}" p:prefix="${doi.prefix}"  />
			
	<context:component-scan base-package="fr.sedoo.sssdata" />
	<bean id="dataSource"
		class="org.springframework.jdbc.datasource.DriverManagerDataSource"
		p:driverClassName="${dataSource.driverClassName}" p:url="${dataSource.url}"
		p:username="${dataSource.username}" p:password="${dataSource.password}" />


	<bean id="entityManagerFactory"
		class="org.springframework.orm.jpa.LocalContainerEntityManagerFactoryBean"
		p:dataSource-ref="dataSource" p:persistence-unit-name="jpa">
		<property name="jpaVendorAdapter">
			<bean class="org.springframework.orm.jpa.vendor.HibernateJpaVendorAdapter"
				p:database="${dataSource.database}" p:databasePlatform="${dataSource.databasePlatform}"
				p:showSql="${dataSource.showSql}" p:generate-ddl="true"/>
		</property>
	</bean>
		
	<bean id="transactionManager" class="org.springframework.orm.jpa.JpaTransactionManager"
		p:entityManagerFactory-ref="entityManagerFactory" />

	<context:annotation-config />
	<tx:annotation-driven />
 	<mvc:annotation-driven />

</beans>